import { useUserStore } from '@/store/user.js';
import { getFileUrl } from '@/utils/file.js';

export default {
	onLoad() {
		let imageUrl = '';
		let title = '';
		if (useUserStore().getSiteInfo) imageUrl = getFileUrl(useUserStore().getSiteInfo.logo);
		if (useUserStore().getSiteInfo) title = useUserStore().getSiteInfo.name;
		uni.$mpShare = {
			title,
			desc: '',
			path: '',
			imageUrl
		};
	},
	onShareAppMessage() {
		//发送给朋友
		console.log(uni.$mpShare);
		return uni.$mpShare;
	},
	onShareTimeline() {
		//分享到朋友圈
		return uni.$mpShare;
	},
	onUnload() {
		let imageUrl = '';
		let title = '';
		if (useUserStore().getSiteInfo) imageUrl = getFileUrl(useUserStore().getSiteInfo.logo);
		if (useUserStore().getSiteInfo) title = useUserStore().getSiteInfo.name;
		uni.$mpShare = {
			title,
			desc: '',
			path: '',
			imageUrl
		};
	}
};
